/*---------------------------------------------------------------------------*\
  =========                 |
  \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox
   \\    /   O peration     |
    \\  /    A nd           | www.openfoam.com
     \\/     M anipulation  |
-------------------------------------------------------------------------------
    Copyright (C) 2022 OpenCFD Ltd.
-------------------------------------------------------------------------------
License
    This file is part of OpenFOAM.

    OpenFOAM is free software: you can redistribute it and/or modify it
    under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    OpenFOAM is distributed in the hope that it will be useful, but WITHOUT
    ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
    FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
    for more details.

    You should have received a copy of the GNU General Public License
    along with OpenFOAM.  If not, see <http://www.gnu.org/licenses/>.

InClass
    Foam::UniformDimensionedField

Description
    Forwards for various UniformDimensionedField types, and their
    file-type characteristics

\*---------------------------------------------------------------------------*/

#ifndef Foam_uniformDimensionedFieldsFwd_H
#define Foam_uniformDimensionedFieldsFwd_H

#include "fieldTypes.H"

// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //

namespace Foam
{

// Forward Declaration
template<class Type> class UniformDimensionedField;


// Typedefs

typedef
    UniformDimensionedField<scalar>
    uniformDimensionedScalarField;

typedef
    UniformDimensionedField<vector>
    uniformDimensionedVectorField;

typedef
    UniformDimensionedField<sphericalTensor>
    uniformDimensionedSphericalTensorField;

typedef
    UniformDimensionedField<symmTensor>
    uniformDimensionedSymmTensorField;

typedef
    UniformDimensionedField<tensor>
    uniformDimensionedTensorField;


// Global file status

template<>
inline bool typeGlobal<uniformDimensionedScalarField>()
{
    return true;
}
template<>
inline bool typeGlobal<uniformDimensionedVectorField>()
{
    return true;
}
template<>
inline bool typeGlobal<uniformDimensionedSphericalTensorField>()
{
    return true;
}
template<>
inline bool typeGlobal<uniformDimensionedSymmTensorField>()
{
    return true;
}
template<>
inline bool typeGlobal<uniformDimensionedTensorField>()
{
    return true;
}


// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //

} // End namespace Foam

// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //

#endif

// ************************************************************************* //
